Bug 659731 - Build and include kexec-tools on System z
Summary: Build and include kexec-tools on System z
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: releng
Version: 6.1
Hardware: s390x
OS: Linux
high
high
Target Milestone: alpha
: 6.1
Assignee: Dennis Gregorovic
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 538808 580566 632709
TreeView+ depends on / blocked
 
Reported: 2010-12-03 15:16 UTC by Gonzalo Muelas Serrano
Modified: 2011-05-19 12:55 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 12:55:39 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0540 0 normal SHIPPED_LIVE redhat-release enhancement update for Red Hat Enterprise Linux 6.1 2011-05-18 17:44:50 UTC

Description Gonzalo Muelas Serrano 2010-12-03 15:16:02 UTC
Description of problem:
In previous releases, without this Bug 632709 - [6.1 FEAT] makedumpfile port to zLinux, kexec-tools was not provided with RHEL on System z because System z had no use of it.

Now that we will have a port/support of makedumpfile on RHEL 6.1 on System z,
we would like of course to have the kexec-tools package automaticaly built and included for RHEL 6.1 on System z.

Per Red Hat request (https://bugzilla.redhat.com/show_bug.cgi?id=632709#c25) I am opening this bug just to track that kexec-tools is built and included in RHEL 6.1 on System z.

Thank you for your support!

Comment 2 John Jarvis 2010-12-03 15:36:12 UTC
IBM is signed up to test and provide feedback, setting OtherQA.

Comment 3 Dennis Gregorovic 2010-12-06 21:04:10 UTC
I'll make sure the package gets pulled into the s390x tree.

Comment 4 John Jarvis 2010-12-22 16:21:36 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 5 Dennis Gregorovic 2011-01-04 22:01:58 UTC
kexec-tools is already in the base group, so the s390x rpms should get pulled in automatically once the new build is pulled into the compose.

Comment 6 John Jarvis 2011-01-13 18:48:13 UTC
This enhancement request was evaluated by the full Red Hat Enterprise Linux 
team for inclusion in a Red Hat Enterprise Linux minor release.   As a 
result of this evaluation, Red Hat has tentatively approved inclusion of 
this feature in the next Red Hat Enterprise Linux Update minor release.   
While it is a goal to include this enhancement in the next minor release 
of Red Hat Enterprise Linux, the enhancement is not yet committed for 
inclusion in the next minor release pending the next phase of actual 
code integration and successful Red Hat and partner testing.

Comment 9 Alexander Todorov 2011-02-07 13:02:25 UTC
# pwd
/mnt/redhat/nightly/RHEL6.1-20110207.n.0/6

# find -name "kexec-tools*s390x*"
./Server/s390x/os/Packages/kexec-tools-2.0.0-164.el6.s390x.rpm
./Server/s390x/os/Server/Packages/kexec-tools-2.0.0-164.el6.s390x.rpm
./Server/s390x/debug/kexec-tools-debuginfo-2.0.0-164.el6.s390x.rpm
./Server/optional/s390x/debug/kexec-tools-debuginfo-2.0.0-164.el6.s390x.rpm

Comment 12 Chris Ward 2011-04-06 11:01:54 UTC
~~ Partners and Customers ~~

This bug was included in RHEL 6.1 Beta. Please confirm the status of this request as soon as possible.

If you're having problems accessing 6.1 bits, are delayed in your test execution or find in testing that the request was not addressed adequately, please let us know.

Thanks!

Comment 13 Georg Markgraf 2011-05-12 08:28:48 UTC
This is verified ok on R 6.1 snapshots, kexec is build for System z and makedumpfile tests are done. Thx

Comment 14 errata-xmlrpc 2011-05-19 12:55:39 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0540.html


Note You need to log in before you can comment on or make changes to this bug.